# -*- coding: utf-8 -*-
# Colors of atoms are obtained at
# http://jmol.sourceforge.net/jscolors/
# Pauling from wikipedia
electronegativity_list = {
    'H' :  2.20,
    'D' :  2.20,
    'Li':  0.98,
    'Be':  1.57,
    'B' :  2.04,
    'C' :  2.55,
    'N' :  3.04,
    'O' :  3.44,
    'F' :  3.98,
    'Na':  0.93,
    'Mg':  1.31,
    'Al':  1.61,
    'Si':  1.90,
    'P' :  2.19,
    'S' :  2.58,
    'Cl':  3.16,
    'K' :  0.82,
    'Ca':  1.00,
    'Sc':  1.36,
    'Ti':  1.54,
    'V' :  1.63,
    'Cr':  1.66,
    'Mn':  1.55,
    'Fe':  1.83,
    'Co':  1.88,
    'Ni':  1.91,
    'Cu':  1.90,
    'Zn':  1.65,
    'Ga':  1.81,
    'Ge':  2.01,
    'As':  2.18,
    'Se':  2.55,
    'Br':  2.96,
    'Kr':  3.00,
    'Rb':  0.82,
    'Sr':  0.95,
    'Y' :  1.22,
    'Zr':  1.33,
    'Nb':  1.60,
    'Mo':  2.16,
    'Tc':  1.90,
    'Ru':  2.20,
    'Rh':  2.28,
    'Pd':  2.20,
    'Ag':  1.93,
    'Cd':  1.69,
    'In':  1.78,
    'Sn':  1.96,
    'Sb':  2.05,
    'Te':  2.10,
    'I' :  2.66,
    'Xe':  2.60,
    'Cs':  0.79,
    'Ba':  0.89,
    'La':  1.10,
    'Ce':  1.12,
    'Pr':  1.13,
    'Nd':  1.14,
    'Pm':  1.13,
    'Sm':  1.17,
    'Eu':  1.20,
    'Gd':  1.20,
    'Tb':  1.10,
    'Dy':  1.22,
    'Ho':  1.23,
    'Er':  1.24,
    'Tm':  1.25,
    'Yb':  1.10,
    'Lu':  1.27,
    'Hf':  1.30,
    'Ta':  1.50,
    'W' :  2.36,
    'Re':  1.90,
    'Os':  2.20,
    'Ir':  2.20,
    'Pt':  2.28,
    'Au':  2.54,
    'Hg':  2.00,
    'Tl':  1.62,
    'Pb':  2.33,
    'Bi':  2.02,
    'Po':  2.00,
    'At':  2.20,
    'Rn':  2.20,
    'Fr':  0.70,
    'Ra':  0.90,
    'Ac':  1.10,
    'Th':  1.30,
    'Pa':  1.50,
    'U' :  1.38,
    'Np':  1.36,
    'Pu':  1.28,
    'Am':  1.30,
    'Cm':  1.30,
    'Bk':  1.30,
    'Cf':  1.30,
    'Es':  1.30,
    'Fm':  1.30,
    'Md':  1.30,
    'No':  1.30}

oxidation_state_dict = {
    'H' : 1,
    'D' : 1,
    'He': 0,
    'Li': 1,
    'Be': 2,
    'B' : 3,
    'C' : -4,
    'N' : -3,
    'O' : -2,
    'F' : -1,
    'Ne': 0,
    'Na': 1,
    'Mg': 2,
    'Al': 3,
    'Si': 4,
    'P' : -3,
    'S' : -2,
    'Cl': -1,
    'Ar': 0,
    'K' : 1,
    'Ca': 2,
    'Sc': 3,
    'Ti': 4,
    'V' : 5,
    'Cr': 6,
    'Mn': 7,
    'Fe': 2,
    'Co': 2,
    'Ni': 2,
    'Cu': 1,
    'Zn': 2,
    'Ga': 3,
    'Ge': 4,
    'As': -3,
    'Se': -2,
    'Br': -1,
    'Kr': 0,
    'Rb': 1,
    'Sr': 2,
    'Y' : 3,
    'Zr': 4,
    'Nb': 5,
    'Mo': 6,
    'Ag': 1,
    'Cd': 2,
    'In': 3,
    'Sn': 4,
    'Sb': -3,
    'Te': -2,
    'I' : -1,
    'Xe': 0,
    'Cs': 1,
    'Ba': 2,
    'La': 3,
    'Ce': 4,
    'Pr': 3,
    'Nd': 3,
    'Pm': 3,
    'Sm': 3,
    'Eu': 2,
    'Gd': 3,
    'Tb': 3,
    'Dy': 3,
    'Ho': 3,
    'Er': 3,
    'Tm': 3,
    'Yb': 3,
    'Lu': 3,
    'Hf': 4,
    'Ta': 5,
    'W' : 6,
    'Au': 1,
    'Hg': 2,
    'Tl': 1,
    'Pb': 2,
    'Bi': 3}

# core radius used for detecting too close atomic pairs.
rcore = {
    'H': 0.582,
    'He': 0.582,
    'Li': 1.085,
    'Be': 1.005,
    'B': 0.899,
    'C': 0.794,
    'N': 0.794,
    'O': 0.804,
    'F': 0.804,
    'Ne': 0.899,
    'Na': 1.164,
    'Mg': 1.058,
    'Al': 1.005,
    'Si': 1.005,
    'P': 1.005,
    'S': 1.005,
    'Cl': 1.005,
    'Ar': 1.005,
    'K': 1.64,
    'Ca': 1.587,
    'Sc': 1.587,
    'Ti': 1.481,
    'V': 1.429,
    'Cr': 1.323,
    'Mn': 1.217,
    'Fe': 1.217,
    'Co': 1.217,
    'Ni': 1.217,
    'Cu': 1.217,
    'Zn': 1.217,
    'Ga': 1.376,
    'Ge': 1.217,
    'As': 1.111,
    'Se': 1.111,
    'Br': 1.111,
    'Kr': 1.217,
    'Rb': 1.323,
    'Sr': 1.323,
    'Y': 1.481,
    'Zr': 1.323,
    'Nb': 1.455,
    'Mo': 1.455,
    'Tc': 1.481,
    'Ru': 1.429,
    'Rh': 1.429,
    'Pd': 1.376,
    'Ag': 1.323,
    'Cd': 1.217,
    'In': 1.64,
    'Sn': 1.587,
    'Sb': 1.217,
    'Te': 1.217,
    'I': 1.217,
    'Xe': 1.323,
    'Cs': 1.323,
    'Ba': 1.481,
    'La': 1.481,
    'Ce': 1.429,
    'Pr': 1.429,
    'Nd': 1.481,
    'Pm': 1.481,
    'Sm': 1.481,
    'Eu': 1.481,
    'Gd': 1.481,
    'Tb': 1.481,
    'Dy': 1.481,
    'Ho': 1.481,
    'Er': 1.376,
    'Tm': 1.481,
    'Yb': 1.481,
    'Lu': 1.481,
    'Hf': 1.587,
    'Ta': 1.534,
    'W': 1.455,
    'Re': 1.323,
    'Os': 1.429,
    'Ir': 1.376,
    'Pt': 1.376,
    'Au': 1.323,
    'Hg': 1.323,
    'Tl': 1.323,
    'Pb': 1.64,
    'Bi': 1.587,
    'Po': 1.587,
    'At': 1.587,
    'Rn': 1.587,
    'Fr': 1.534,
    'Ra': 1.534,
    'Ac': 1.534,
    'Th': 1.799,
    'Pa': 1.693,
    'U': 1.64,
    'Np': 1.481,
    'Pu': 1.481,
    'Am': 1.481,
    'Cm': 1.481,
    'Bk': 1.481,
    'Cf': 1.217,
    'Es': 1.217,
    'Fm': 1.217,
    'Md': 1.217,
    'No': 1.217,
    'Lr': 1.217}
